Cancelar assinatura
delete
https://sandbox-api.rebornpay.io/v1/subscriptions/{id}Auth obrigatóriaHeaders
X-Api-KeystringrequiredAPI Key do seller (header)
Path Parameters
idstringrequiredResponses
200OK
idstring · uuidrequiredplanIdstring · uuidrequiredsellerIdstring · uuidrequiredbuyerIdstring · uuidrequiredpaymentMethodstringrequiredstatusstringrequirednextBillingAtstring · date-timerequiredcurrentPeriodStartstring · date-timerequiredcurrentPeriodEndstring · date-timerequiredtrialEndAtstring · date-timeoptionalcancelledAtstring · date-timeoptionalcreatedAtstring · date-timerequiredupdatedAtstring · date-timerequiredcurl -X DELETE 'https://sandbox-api.rebornpay.io/v1/subscriptions/{id}' \ -H 'X-Api-Key: $API_KEY'200Response example
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"planId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sellerId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"buyerId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"paymentMethod": "string",
"status": "string",
"nextBillingAt": "2025-01-15T10:30:00Z",
"currentPeriodStart": "2025-01-15T10:30:00Z",
"currentPeriodEnd": "2025-01-15T10:30:00Z",
"trialEndAt": "2025-01-15T10:30:00Z",
"cancelledAt": "2025-01-15T10:30:00Z",
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-15T10:30:00Z"
}